Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.image.loader.cache
Interface ImageCacheListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  ImageCacheStatistics

    public interface ImageCacheListener

extends java.util.EventListener

This interface can be implemented by classes which want to know what's going on inside the image cache.

Method Summary
`void` | `cacheHitImage(ImageKey key)` An Image was found in the cache
`void` | `cacheHitImageInfo(java.lang.String uri)` An ImageInfo was found in the cache
`void` | `cacheMissImage(ImageKey key)` An Image was not in the cache
`void` | `cacheMissImageInfo(java.lang.String uri)` An ImageInfo was not in the cache
`void` | `invalidHit(java.lang.String uri)` An URi previously identified as invalid was requested again

Method Detail

### invalidHit

    void invalidHit(java.lang.String uri)

  An URi previously identified as invalid was requested again

  Parameters:
    `uri` - the invalid URI

### cacheHitImageInfo

    void cacheHitImageInfo(java.lang.String uri)

  An ImageInfo was found in the cache

  Parameters:
    `uri` - the image's URI

### cacheMissImageInfo

    void cacheMissImageInfo(java.lang.String uri)

  An ImageInfo was not in the cache

  Parameters:
    `uri` - the image's URI

### cacheHitImage

    void cacheHitImage(ImageKey key)

  An Image was found in the cache

  Parameters:
    `key` - the image key

### cacheMissImage

    void cacheMissImage(ImageKey key)

  An Image was not in the cache

  Parameters:
    `key` - the image key

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.